resource_rules:
  issues:
    rules:
      - name: Assign DAST Backlog Refinement
        conditions:
          state: opened
          labels:
            - "group::dynamic analysis"
            - backend
            - "workflow::refinement"
            - "Category:DAST"
          forbidden_labels:
            - "Category:Fuzz Testing"
          ruby: "resource[:assignees].empty?"
        limits:
          oldest: 1
        actions:
          comment: |
            #{dast_be}, please [refine](https://about.gitlab.com/handbook/engineering/development/protect/planning/#refinement-steps-for-engineers) and weight this issue.

            [Bot policy](https://gitlab.com/gitlab-org/quality/triage-ops/-/blob/master/policies/groups/gitlab-org/dast/assign-refinement.yml).

            /assign #{dast_be}
